extends TextureRect



# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	$"../StartSchildLogo/AnimationPlayer".pop_in()
	$AnimationPlayer.pop_in()
	$Start.grab_focus()


func _on_start_pressed() -> void:
	$AnimationPlayer.pop_out()
	$"../StartSchildLogo/AnimationPlayer".pop_out()
	$"../..".start_game()


func _on_settings_pressed() -> void:
	$"../StartSchildLogo/AnimationPlayer".pop_out()
	$AnimationPlayer.pop_out()
	$"../Settings".open()
